架构师

您现在的位置是:首页 > 技术博客 > 开发环境

开发环境

IDEA设置支持es6语法

架构师小跟班 2020-05-19 开发环境
不设置是这样的,报错信息:String templates are not supported by current JavaScript version虽然程序能够正常运行,但是阅读代码时看起来非常难受。原因:上面代码其实使用的是

不设置是这样的,报错信息:String templates are not supported by current JavaScript version

虽然程序能够正常运行,但是阅读代码时看起来非常难受。

原因:

上面代码其实使用的是es6的新语法,但是我们idea中设置的JavaScript的版本低于6,所以才出现上述问题。

怎么解决呢?

file>settings>Lauguages & Frameworks>javascript:将javascript languages version 修改为 ECMAScript 6

如图:


文章评论